package com.jiheng.formservice.common.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @version v1.0
 * @ProjectName: pocky_frame
 * @ClassName: BasePage
 * @Description:
 * @Author: ch
 * @Date: 2021-04-26 14:32
 */
@Data
@ApiModel(value="BasePage", description="基础分页实体")
public class BasePage {

    @ApiModelProperty(name = "页码",required = true)
    //@NotNull(message = "页码不能为空")
    private Integer pageIndex;

    @ApiModelProperty(name = "每页数据条数",required = true)
    //@NotNull(message = "每页数据条数不能为空")
    private Integer pageSize;

}
