package com.jiheng.formservice.common.entity.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;

/**
 * <p>
 *  公共上传文件 返回vo
 * </p>
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@Accessors(chain = true)
@ToString(callSuper = true)
@ApiModel(value="UploadFileResVo", description="公共上传文件 返回vo")
public class UploadFileResVo {

    @ApiModelProperty(value = "文件id")
    private String fileId;

    @ApiModelProperty(value = "文件名称")
    private String fileName;

    @ApiModelProperty(value = "文件全路径")
    private String filePath;

    @ApiModelProperty(value = "扫码状态（1、jpg图片 2、mp4、3、mp4  4、其他 5、pdf）")
    private Integer fileType;

}
