package com.jiheng.formservice.form.mapper;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jiheng.formservice.form.entity.Template;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.jiheng.formservice.form.entity.vo.QueryTemplateReqVO;
import com.jiheng.formservice.form.entity.vo.TemplateDetailResVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 表单模板表 Mapper 接口
 * </p>
 *
 * @author guoj
 * @since 2021-11-16
 */

public interface TemplateMapper extends BaseMapper<Template> {

    /**
     * 分页查询模板数据
     * @param page
     * @param param
     * @return
     */
    List<TemplateDetailResVO> queryTemplateByPage(@Param("page") Page<TemplateDetailResVO> page,@Param("param") QueryTemplateReqVO param);
}
