package com.jiheng.formservice.form.entity.vo;

import com.jiheng.formservice.common.entity.BasePage;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.*;
import lombok.experimental.Accessors;

/**
 * @ClassName : QueryTemplateReqVO
 * @Description : 查询表单参数
 * @Date : 2021-11-16 10:41
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@Builder
@ApiModel(value = "QueryTemplateReqVO", description = "新增/查询表单参数")
public class QueryTemplateReqVO extends BasePage {

    @ApiModelProperty(value = "id,修改时传入")
    private Long id;

    @ApiModelProperty(value = "模板编号")
    private String templateNo;

    @ApiModelProperty(value = "模板名称")
    private String templateName;

    @ApiModelProperty(value = "模板备注")
    private String templateRemark;

    @ApiModelProperty(value = "模板内容存json")
    private String templateJson;

    @ApiModelProperty(value = "租户id")
    private String tenant;

    @ApiModelProperty(value = "创建人姓名")
    private String createName;

    @ApiModelProperty(value = "0 逻辑删除  1是逻辑未删除")
    private String isDelete;
}
